Error en chips de los iPhones los deja vulnerables a hackers

Están afectados los modelos que van desde la versión del iPhone 4s al iPhone X

Hace unos días se dio a conocer que existe una vulnerabilidad llamada checkm8, que afecta al procesador A11 de Apple así como a todos los modelos anteriores a que puedan hacerles jailbreak en cualquier momento por un hacker y no necesariamente porque el dueño desee implementarlo.

La información fue dada a conocer por AxiOmX, en donde  como se sabe, cualquier equipo que se le haga este proceso de forma automática pierde su garantía. En este caso los modelos afectados van del iPhone 8 hasta el iPhone X.

El sitio publicó un video en donde se ve al iPhone X siendo reiniciado desde el modo “ingeniería”, el cual solo se accede haciendo modificaciones al núcleo del sistema, lo que permite instalar versiones antiguas o no permitidas por Apple, lo que da pie al uso de programas espías.

Bastan solo dos segundos para romper el sistema y no importa si se usa la versión más reciente de iOS, es decir, iOS 13.1.2. Lo bueno es que para que se logre hacer el jailbreak por completo es necesario conectarlo a una computadora, lo que hace un tanto difícil que alguien no se percate de que su equipo no está cerca.

La mala noticia, es que este tipo de error no tiene reparación, por lo que ninguna actualización lo va a solucionar. Probablemente el usuario regular no tiene porqué preocuparse excepto que trate de hacer jailbreak o lo lleve a que se lo hagan.

Con información de Gizchina y zdnet

  • checkm8